package data.scripts;

import com.fs.starfarer.api.PluginPick;
import com.fs.starfarer.api.campaign.AICoreOfficerPlugin;
import com.fs.starfarer.api.campaign.BaseCampaignPlugin;
import com.fs.starfarer.api.impl.campaign.ids.Commodities;

public class MoreAISkillsCampaignPluginImpl extends BaseCampaignPlugin {

    // make it safe to remove from game
    public boolean isTransient() {
        return true;
    }

    @Override public PluginPick<AICoreOfficerPlugin> pickAICoreOfficerPlugin(String commodityId) {
        if (Commodities.OMEGA_CORE.equals(commodityId) ||
                Commodities.ALPHA_CORE.equals(commodityId) ||
                Commodities.BETA_CORE.equals(commodityId) ||
                Commodities.GAMMA_CORE.equals(commodityId)) {
            return new PluginPick<AICoreOfficerPlugin>(new MoreAICoreOfficerPluginImpl(), PickPriority.CORE_GENERAL);
        }
        return null;
    }
}
