package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;


public class MoreAiSkillsModPlugin extends BaseModPlugin {

    private int getSettingsIntAbs(String key) {
        int value = Global.getSettings().getInt(key);
        if (value < 0)
            throw new RuntimeException(key + " must not be negative");
        return value;
    }

    @Override
    public void onApplicationLoad() {
        MoreAICoreOfficerPluginImpl.OMEGA_LEVEL = getSettingsIntAbs("AI_CORE_LEVEL_OMEGA");
        MoreAICoreOfficerPluginImpl.ALPHA_LEVEL = getSettingsIntAbs("AI_CORE_LEVEL_ALPHA");
        MoreAICoreOfficerPluginImpl.BETA_LEVEL = getSettingsIntAbs("AI_CORE_LEVEL_BETA");
        MoreAICoreOfficerPluginImpl.GAMMA_LEVEL = getSettingsIntAbs("AI_CORE_LEVEL_GAMMA");

    }

    public void onGameLoad(boolean newGame) {
        Global.getSector().registerPlugin(new MoreAISkillsCampaignPluginImpl());
    }
}

